package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import com.bonus.canteen.core.order.deprecated.model.OrdDetail;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

public class MacOrdPayVO implements Serializable {
   private String custNum;
   private String custName;
   private String orgFullName;
   private String custPhotoUrl;
   private Integer walletBal;
   private Integer subsidyBal;
   private Integer accBal;
   private Integer balance2;
   private Integer redEnvelope;
   private Integer scope;
   private Integer realAmount;
   private LocalDate validityDate;
   private Long ordId;
   @ApiModelProperty("设备订单号")
   private String macOrdId;
   private String thirdPayOrdId;
   private String shopstallCallNum;
   private List<MacOrdDetailVO> macOrdDetailVOList;
   @ApiModelProperty("客户手机号")
   private String mobile;
   @ApiModelProperty("支付方式")
   private Integer payType;
   private Long custId;
   @ApiModelProperty("消费次数")
   private Integer consumeNum;
   private List<OrdDetail> ordDetailList;
   private String ifUseMixedPayment;
   private Integer payAmount;
   private Integer unpaidBalance;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getWalletBal() {
      return this.walletBal;
   }

   public Integer getSubsidyBal() {
      return this.subsidyBal;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getBalance2() {
      return this.balance2;
   }

   public Integer getRedEnvelope() {
      return this.redEnvelope;
   }

   public Integer getScope() {
      return this.scope;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public String getThirdPayOrdId() {
      return this.thirdPayOrdId;
   }

   public String getShopstallCallNum() {
      return this.shopstallCallNum;
   }

   public List<MacOrdDetailVO> getMacOrdDetailVOList() {
      return this.macOrdDetailVOList;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getConsumeNum() {
      return this.consumeNum;
   }

   public List<OrdDetail> getOrdDetailList() {
      return this.ordDetailList;
   }

   public String getIfUseMixedPayment() {
      return this.ifUseMixedPayment;
   }

   public Integer getPayAmount() {
      return this.payAmount;
   }

   public Integer getUnpaidBalance() {
      return this.unpaidBalance;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setWalletBal(final Integer walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubsidyBal(final Integer subsidyBal) {
      this.subsidyBal = subsidyBal;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setBalance2(final Integer balance2) {
      this.balance2 = balance2;
   }

   public void setRedEnvelope(final Integer redEnvelope) {
      this.redEnvelope = redEnvelope;
   }

   public void setScope(final Integer scope) {
      this.scope = scope;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setThirdPayOrdId(final String thirdPayOrdId) {
      this.thirdPayOrdId = thirdPayOrdId;
   }

   public void setShopstallCallNum(final String shopstallCallNum) {
      this.shopstallCallNum = shopstallCallNum;
   }

   public void setMacOrdDetailVOList(final List<MacOrdDetailVO> macOrdDetailVOList) {
      this.macOrdDetailVOList = macOrdDetailVOList;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setConsumeNum(final Integer consumeNum) {
      this.consumeNum = consumeNum;
   }

   public void setOrdDetailList(final List<OrdDetail> ordDetailList) {
      this.ordDetailList = ordDetailList;
   }

   public void setIfUseMixedPayment(final String ifUseMixedPayment) {
      this.ifUseMixedPayment = ifUseMixedPayment;
   }

   public void setPayAmount(final Integer payAmount) {
      this.payAmount = payAmount;
   }

   public void setUnpaidBalance(final Integer unpaidBalance) {
      this.unpaidBalance = unpaidBalance;
   }

}
